/*
 * Copyright (c) 2004 Persistit Corporation. All Rights Reserved.
 *
 * The Java source code is the confidential and proprietary information
 * of Persistit Corporation ("Confidential Information"). You shall
 * not disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Persistit Corporation.
 *
 * PERSISTIT CORPORATION MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE
 * SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT
 * NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
 * A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. PERSISTIT CORPORATION SHALL
 * NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING,
 * MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */
package com.persistit.exception;

import com.persistit.Debug;

/**
 * Thrown by {@link com.persistit.Volume} if the volume file being opened is
 * corrupt. Generally it will be necessary to restore a backup copy of the
 * volume file to resolve this.
 * 
 * @version 1.0
 */
public class CorruptVolumeException extends PersistitException {
    private static final long serialVersionUID = 9119544306031815864L;

    public CorruptVolumeException() {
        super();
    }

    public CorruptVolumeException(String msg) {
        super(msg);
        if (Debug.ENABLED)
            Debug.debug1(true);
    }

}
